Bug 314764 - Select boxes in oxygen-transparent settings get squeezed when showing advanced options
Summary: Select boxes in oxygen-transparent settings get squeezed when showing advance...
Status: RESOLVED FIXED
Alias: None
Product: Oxygen
Classification: Unclassified
Component: style (show other bugs)
Version: 4.10
Platform: Slackware Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Hugo Pereira Da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-09 15:13 UTC by Heinz Wiesinger
Modified: 2013-02-20 15:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot (43.85 KB, image/jpeg)
2013-02-09 15:14 UTC, Heinz Wiesinger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heinz Wiesinger 2013-02-09 15:13:13 UTC
If I go to the style module in systemsettings, select configure for oxygen-transparent and then show the advanced configuration options, the lower two of the three drop down select boxes in the general tab get squeezed so you can no longer read the text on them.
Selecting another tab and going back restores the proper size.

Reproducible: Always
Comment 1 Heinz Wiesinger 2013-02-09 15:14:33 UTC
Created attachment 77052 [details]
screenshot

Add screenshot of the issue
Comment 2 Hugo Pereira Da Costa 2013-02-10 17:21:14 UTC
... yes. Can reproduce. This is actually Qt's issue not handling the resize properly on widget contents changed. I'll add a workaround.
Comment 3 Hugo Pereira Da Costa 2013-02-20 15:56:44 UTC
Git commit 34095bee1d63c956fdd71ac09161d425bdf0d5b2 by Hugo Pereira Da Costa.
Committed on 20/02/2013 at 16:55.
Pushed by hpereiradacosta into branch 'KDE/4.10'.

Fixed handling of minimum widget size when toggling expert button

M  +29   -4    style/config/oxygenstyleconfig.cpp
M  +6    -0    style/config/oxygenstyleconfig.h

http://commits.kde.org/oxygen-transparent/34095bee1d63c956fdd71ac09161d425bdf0d5b2
Comment 4 Hugo Pereira Da Costa 2013-02-20 15:56:44 UTC
Git commit 73749c7fc8d7de51233fb91a6a02faa5c4606cb5 by Hugo Pereira Da Costa.
Committed on 20/02/2013 at 16:55.
Pushed by hpereiradacosta into branch 'master'.

Fixed handling of minimum widget size when toggling expert button

M  +29   -4    style/config/oxygenstyleconfig.cpp
M  +6    -0    style/config/oxygenstyleconfig.h

http://commits.kde.org/oxygen-transparent/73749c7fc8d7de51233fb91a6a02faa5c4606cb5
Comment 5 Hugo Pereira Da Costa 2013-02-20 15:57:26 UTC
Ok. That fixes it, I think, although still not optimal.
I guess there is something I don't quite understand in Qt concerning size policy and widget size management ...